# MatrixBuilder - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.utils / MatrixBuilder

# MatrixBuilder

(common) `class MatrixBuilder<T>` (source)

### Constructors

(common)

#### <init>

`MatrixBuilder()`

### Properties

(common)

#### matrix

`val matrix: Matrix<T>`

### Functions

(common)

#### add

`fun add(t: List<T>): Boolean`

(common)

#### plus

`operator fun plus(t: List<T>): Boolean`

### Extension Functions

(common)

#### row

`fun <T> MatrixBuilder<T>.row(block: RowBuilder<T>.() -> Unit): Unit`